# @xdf/commons [![Build Status](https://travis-ci.org/ngx-translate/core.svg?branch=master)](https://travis-ci.org/ngx-translate/core) 

XDF / Component library for Angular

Código fuente: http://git.tbs.com:8888/XDF4JavaProjects/ng-byte-framework/tree/master/projects/xdf-commons

## Table of Contents
* [Installation](#installation)
* [Usage](#usage)
* [API](#api)
* [HISTORY](#History)

## Installation

First you need to install the npm module:

```sh
npm install @xdf/commons --save
```

## Usage

#### 1. Import the `XdfCommonsModule`:

Finally, you can use xdf-commns in your Angular project. You have to import `XdfCommonsModule` in the root NgModule of your application.

The [`forRoot`](https://angular.io/api/router/RouterModule#forroot) static method is a convention that provides and configures services at the same time.
Make sure you only call this method in the root module of your application, most of the time called `AppModule`.
This method allows you to configure the `XdfCommonsModule` by specifying a loader, a parser and/or a missing translations handler.

```ts
import {BrowserModule} from '@angular/platform-browser';
import {NgModule} from '@angular/core';
import {XdfCommonsModule} from '@xdf/commons';

@NgModule({
    imports: [
        BrowserModule,
        XdfCommonsModule
    ],
    bootstrap: [AppComponent]
})
export class AppModule { }
```

## API
| Component     | description |
|------   |------|
| [DateAgo](./src/lib/pipes/date-ago) | Pipe para mostrar el tiempo transcurrido.|
| [LocalizedDatePipe](./src/lib/pipes/localized-date) | Pipe para mostrar la fecha en expressión y con multi-idioma.|
| [TruncatePipe](./src/lib/pipes/truncate) | Pipe para cortar un texto a una longitud y agregar "...".|

## History
### 1.0.1
* Se cambió el tiempo de toast a 3

### 1.0.0
* Se añaden los pipes localized-date y truncate
* Se añaden los pipes sanizate-html, sanizate-style
* Se añade el pipe boolean-to-string

### v. 0.0.9
* Se solucionó un problema para dependencia entre librerías
* El proyecto ya no contiene componentes. Estos se movieron al proyecto Gallery

### v. 0.0.8
* Se elimina el soporte a Multi-idioma para las notificaciones
* Se agregó el pipe DateAgo

### v. 0.0.6
* Se corrije el problema para manejar el idioma en todos los submodulos
* Se estandarizó el uso de componentes de angular material en los componentes creados.

### v. 0.0.5
* Se agrega a User el atributo roles

### v. 0.0.4 
* Incluye soporte a seguridad sso
* Incluye modelo para paginación.
