import { Router, CanActivate, ActivatedRouteSnapshot, RouterStateSnapshot, CanLoad } from '@angular/router';
import { AuthenticationService } from '@xdf/commons';
import { Observable } from 'rxjs';
/**
 * @description
 * Permite validar que antes de usar el mantenimiento el usuario esté logueado en la aplicación.
 * La presente implementación supone que el login es parte de los routes configurados.
 */
export declare class AuthGuard implements CanActivate, CanLoad {
    private router;
    private authenticationService;
    constructor(router: Router, authenticationService: AuthenticationService);
    canLoad(): Observable<boolean>;
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean;
}
